package parser

import "git.makaay.nl/mauricem/go-parsekit"

// Item types that are produced by this parser.
const (
	ItemComment    parsekit.ItemType = iota // Comment string
	ItemKey                                 // Key of a key/value pair
	ItemKeyDot                              // Dot for a dotted key
	ItemAssignment                          // Value assignment coming up (=)
	ItemString                              // A value of type string
)

var (
	c, a, m = parsekit.C, parsekit.A, parsekit.M
)

// NewParser creates a new parser, using the provided input string
// as the data to parse.
func NewParser(input string) *parsekit.Run {
	return parsekit.New(startKeyValuePair).Parse(input)
}
